#!/bin/bash
#MENU=Post installation pour APE
echo "APE : application des droits version 4 du 13/02/2006"

if [ -z "`ldapsearch -x -b 'ou=education,o=gouv,c=fr' '(objectclass=posixGroup)' | grep 'cn=ape,ou=local,ou=groupe'`" ] ; then 
	echo "Ajout du groupe ape"
	/usr/share/eole/backend/ajout_groupe.py ape
fi

echo "permissions  du dossier commun"
/usr/bin/setfacl -k --set user::rwx,group::r-x,other::r-x /data/applidos/commun


echo "permissions du dossier et des sous-dossiers commun/ape"
for fic in `find /data/applidos/commun/ape`
do
	if [ -d $fic ] ; then

/usr/bin/setfacl -m user::rwx,group::r--,group:ape:rwx,mask::rwx,other::r--,default:user::rwx,default:group::r--,default:group:ape:rwx,default:mask::rwx,default:other::r-- $fic

	elif [ -f $fic ] ; then

/usr/bin/setfacl -m user::rwx,group::r--,group:ape:rwx,mask::rwx,other::r-- $fic
	fi

done

echo "APE: application des droits terminée"

