<?
/*
=======================================================================

   module de génération de balises images
   $Id: image-lib.inc,v 1.1.1.1 2004/01/05 10:25:51 eole Exp $
=======================================================================
-
 Ce module permet de générer les apparitions de balises d'image
 la gestion des balises d'image et de lien
-
 Fonctions : 

 Image
 ImageLink
-
 Remarques :

 les image réactives ne sont pas utilisées
 à cause du problème de preload

=======================================================================
*/

  /*
    Image
    -
    génère une balise html image
    -
    Paramètres :
    $image_name : nom de l'image
    ,$image_file : nom du fichier lié à l'image
    ,$image_width : largeur
    ,$image_height : hauteur
    -
    Résultat :
    balise html (img)
    -
    Globales :
    $image_path
    - 
  */

function Image(
	       $image_name
	       ,$image_file
	       ,$image_width
	       ,$image_height
	       ) {

  global $image_path ;

   $buffer = "" ;
   $image_src =$image_path.$image_file ;
   $buffer = "<IMG NAME=\"".$image_name."\" SRC=\"".$image_src."\" ALT=\"".$image_name."\" WIDTH=\"".$image_width."\" HEIGHT=\"".$image_height."\" BORDER=0>" ;

   return($buffer) ;
}

  /*
    ImageLink
    -
    génère une balise html image avec un lien directement
    -
    Paramètres : 
    $image_name : nom de l'image
    ,$image_file : nom du fichier lié à l'image
    ,$href : lien sur l'image en question
    ,$image_width : largeur
    ,$image_height : hauteur
    -
    Résultat : 
    balise html (img et lien)
    -
    Globales :
    $image_path
    Image()
    - 
  */

function ImageLink(
		   $image_name
		   ,$image_file
		   ,$href
		   ,$image_width
		   ,$image_height
		   ) {

  global $image_path ;

   $buffer = "" ;
   $buffer = "<A HREF=\"".$href."\">" ;
   $image = Image(
	       $image_name
	       ,$image_file
	       ,$image_width
	       ,$image_height
	       ) ;
   $buffer .= $image ;
   $buffer .= "</A>" ;
   return($buffer) ;
}

?>