#!/bin/sh
#
# suppression d'actions différées précises
# telles que Mise à jour, sauvegarde sur bande, sur disque...
#

case $1 in

disque)	
	for i in `grep "engine-sauv-disque.sh" /var/spool/cron/atjobs/* | awk -F: '{print $1}'` ; do rm -f $i ; done;
	;;

bande)	
	for i in `grep "engine-sauv-bande.sh" /var/spool/cron/atjobs/* | awk -F: '{print $1}'` ; do rm -f $i ; done;
	;;

maj)	
	for i in `grep "Maj-Auto" /var/spool/cron/atjobs/* | awk -F: '{print $1}'` ; do rm -f $i ; done;
	;;

*)
	echo
	echo "Suppression d'actions différées précises :"
	echo "	purge-at disque => suppression des sauvegarde sur disque différées"
	echo "	purge-at bande  => suppression des sauvegarde sur bande différées"
	echo "	purge-at maj    => suppression des mises à jour différées"
	echo
;;
esac
	
	
