#!/bin/bash
#MENU=Post installation pour CEJAE
echo "CEJAE : application des droits version 4 du 13/02/2006"

if [ -z "`ldapsearch -x -b 'ou=education,o=gouv,c=fr' '(objectclass=posixGroup)' | grep 'cn=cejae,ou=local,ou=groupe'`" ] ; then 
		echo "Ajout du groupe cejae"		
		/usr/share/eole/backend/ajout_groupe.py cejae
fi

echo "permissions  du dossier commun"
/usr/bin/setfacl -k --set user::rwx,group::r-x,other::r-x /data/applidos/commun


echo "permissions  du dossier commun/stcej"
/usr/bin/setfacl -m user::rwx,group::r-x,group:cejae:rwx,mask::rwx,other::r--,default:user::rwx,default:group::r--,default:mask::rwx,default:other::r-- /data/applidos/commun/stcej


echo "permissions du dossier et des sous-dossiers commun/stcej"
for fic in `find /data/applidos/commun/stcej/*`
do
	if [ -d $fic ] ; then

/usr/bin/setfacl -m user::rwx,group::r--,mask::rwx,other::r--,default:user::rwx,default:group::r--,default:mask::rwx,default:other::r-- $fic

	elif [ -f $fic ] ; then

/usr/bin/setfacl -m user::rw-,group::r--,mask::rwx,other::r-- $fic
	fi

done


echo "permissions du dossier et des sous-dossiers commun/stcej/fichiers"
for fic in `find /data/applidos/commun/stcej/fichiers`
do
	if [ -d $fic ] ; then

/usr/bin/setfacl -m user::rwx,group::r--,group:cejae:rwx,mask::rwx,other::r--,default:user::rwx,default:group::r--,default:group:cejae:rwx,default:mask::rwx,default:other::r-- $fic

	elif [ -f $fic ] ; then

/usr/bin/setfacl -m user::rw-,group::r--,group:cejae:rwx,mask::rwx,other::r-- $fic
	fi

done


echo "permissions du dossier et des sous-dossiers commun/stcej/logiciel"
for fic in `find /data/applidos/commun/stcej/logiciel`
do
	if [ -d $fic ] ; then

/usr/bin/setfacl -m user::rwx,group::r--,group:cejae:r-x,mask::rwx,other::r--,default:user::rwx,default:group::r--,default:group:cejae:r-x,default:mask::rwx,default:other::r-- $fic

	elif [ -f $fic ] ; then

/usr/bin/setfacl -m user::rwx,group::r--,group:cejae:r-x,mask::rwx,other::r-- $fic
	fi

done


echo "CEJAE : application des droits terminée"

