<?


require('../../inc-ldap.php');

// liste des comptes actifs
// ou NON (décoché)
function GetValidComptes()
{
   // très important !
   global $racine;
   
   $ds=connexion_ldap();
   $dn = "ou=local,ou=personnels,ou=utilisateurs,$racine";
   $filtre="(objectClass=inetOrgPerson)";
   $sr = ldap_search($ds,$dn,$filtre);
   $info = ldap_get_entries($ds, $sr);
   $sListActif="";
   $sListInactif="";
   for ($i=0; $i<$info["count"]; $i++)
   {
   	  $user= $info[$i]["cn"][0];
   	  $flags=$info[$i]["sambaacctflags"][0];
	  
	  if (($user=="rectorat") || ($user=="install")) continue;

	  if (strpos($flags,"DU")!==false)
	  	$sListInactif .= "," . $user;
	  else
	  	$sListActif .= "," . $user;
   }
   ldap_close($ds);
  
   $sListInactif = substr($sListInactif,1,strlen($sListInactif)-1);
   $sListActif  = substr($sListActif,1,strlen($sListActif)-1);
   return ($sListActif . "@" . $sListInactif);
}

function ServiceIsStarted()
{
	list($sListActif, $sListInactif ) = explode("@",GetValidComptes());
	return (($sListActif!=""));
}

function GetAllComptes()
{
   // très important !
   global $racine;
   
   $ds=connexion_ldap();
   $dn = "ou=local,ou=personnels,ou=utilisateurs,$racine";
   $filtre="(objectClass=inetOrgPerson)";
   $sr = ldap_search($ds,$dn,$filtre);
   $info = ldap_get_entries($ds, $sr);
 	
   for ($i=0; $i<$info["count"]; $i++)
   {
   	  $user= $info[$i]["cn"][0];
   	  $arComptes[count($arComptes)]=$user;	
   }
   ldap_close($ds);
  
   return ($arComptes);
}



?>
